#include <stdio.h>

/*!
** @file
** @brief
**  Implementation Of Some Structures
*/


/*!
** BarryT:
**  A record of a Barry structure, BarryT
** 
** @par Fields
**  - @b lNumber   - A number
**  - @b iState    - An integer
**
** @brief
**  The Barry Structure
*/
struct BarryS
{
  long             lNumber;
	int              iState;
};

typedef struct BarryS *BarryT;


/*!
** SteveT:
**  A record of a Steve structure, SteveT
** 
** @par Fields
**  - @b lNumber   - A number
**  - @b iState    - An integer
**
** @brief
**  The Steve Structure
*/
typedef struct SteveS
{
  long             lNumber;
	int              iState;
} *SteveT;



/*! 
** UseStructures:
**  Use the two structures defined in this file, @ref BarryT and @ref SteveT
**
** @param ObjectBarry  [in] use a @ref BarryT
** @param ObjectSteve  [in] use a @ref SteveT
** 
** @return 
**  0 on success, 1 on error
**
** @brief
**  Use some structures
*/
int UseStructures
(	
	BarryT    ObjectBarry,
	SteveT    ObjectSteve
)
{
	return 0;
}


int main()
{
	BarryT    ObjectBarry;
	SteveT    ObjectSteve;
	
	UseStructures(ObjectBarry,ObjectSteve);
	return 0;
}
